Bug 1388755 - Checkpoint completed event missing master node detail
Summary: Checkpoint completed event missing master node detail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1395660 1400923
TreeView+ depends on / blocked
 
Reported: 2016-10-26 05:57 UTC by Sahina Bose
Modified: 2017-03-23 06:15 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1395660 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:15:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Sahina Bose 2016-10-26 05:57:58 UTC
Description of problem:

The message returned at checkpoint completion event is missing the master node detail (contains only brick_path). This is insufficient data to parse and update the info maintained in dependent applications like oVirt or other scripts/

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Always

Steps to Reproduce:
NA

Comment 1 Sahina Bose 2016-10-26 06:08:47 UTC
Is it possible to return session_key in message?

Comment 4 Aravinda VK 2016-11-16 11:24:59 UTC
Upstream patch sent to fix the issue: http://review.gluster.org/15858

Comment 5 Aravinda VK 2016-11-16 11:25:40 UTC
(In reply to Sahina Bose from comment #1)
> Is it possible to return session_key in message?

Yes, I will add it in FAULTY and CHECKPOINT events.

Comment 6 Aravinda VK 2016-12-02 11:00:26 UTC
Downstream patch: https://code.engineering.redhat.com/gerrit/91989
Upstream patch(Release-3.9): http://review.gluster.org/16009

Comment 8 Sweta Anandpara 2016-12-16 09:56:59 UTC
Tested and verified this on the build 3.8.4-8. The expected fields are present as part of the message body of GEOREP_CHECKPOINT_COMPLETED event. 

Moving this BZ to verified in 3.2.

{u'message': {u'checkpoint_time': u'1481880377', u'master_volume': u'ozone', u'master_node': u'10.70.47.61', u'master_node_id': u'f4b259db-7add-4d01-bb5e-3c7f9c077bb4', u'slave_host': u'10.70.46.239', u'checkpoint_completion_time': u'1481881954', u'slave_volume': u'slave', u'brick_path': u'/bricks/brick0/ozone1'}, u'event': u'GEOREP_CHECKPOINT_COMPLETED', u'ts': 1481881954, u'nodeid': u'f4b259db-7add-4d01-bb5e-3c7f9c077bb4'}

Comment 10 errata-xmlrpc 2017-03-23 06:15:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.